Bug 860052 - (EE) Warning: attempting to log data in a signal unsafe manner while in signal context. ... VMWARE(0): vmmouse enable absolute mode
(EE) Warning: attempting to log data in a signal unsafe manner while in signa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vmmouse (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 15:01 EDT by Steve Tyler
Modified: 2014-02-05 07:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:18:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda.xlog (57.15 KB, text/plain)
2012-09-24 15:01 EDT, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2012-09-24 15:01:59 EDT
Created attachment 616684 [details]
anaconda.xlog

Description of problem:
This warning appears in anaconda.xlog after installing F18-Alpha (Final):

(EE) BUG: triggered 'if (inSignalContext)'
(EE) BUG: log.c:472 in LogVMessageVerb()
(EE) Warning: attempting to log data in a signal unsafe manner while in signal context. Please update to check inSignalContext and/or use LogMessageVerbSigSafe() or ErrorFSigSafe(). The offending log format message is:
VMWARE(0): vmmouse enable absolute mode

Version-Release number of selected component (if applicable):
Fedora-18-Alpha-x86_64-netinst.iso (Final)

[    27.593] (II) Module vmmouse: vendor="X.Org Foundation"
[    27.593]    compiled for 1.12.99.903, module version = 12.9.0

qemu-kvm-1.0.1-1.fc17.x86_64

How reproducible:
Presumably always.

Steps to Reproduce:
1. Do a minimal net install in a VM:
   $ qemu-kvm -m 1024 -hda f18-test-2.img -cdrom ~/xfr/fedora/F18/F18-Alpha/RC3/Fedora-18-Alpha-x86_64-netinst.iso -vga qxl -boot menu=on
  
Actual results:
Warning in anaconda.xlog.

Expected results:
No warning in anaconda.xlog.

Additional info:
anaconda.xlog is supposed to be in /var/log/anaconda/, but due to Bug 860041, it is in /var/log/ as anaconda.anaconda.xlog.
Comment 1 Fedora End Of Life 2013-12-21 03:56:14 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 07:18:41 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.